// playtestDlg.h : header file
//

#if !defined(AFX_PLAYTESTDLG_H__DAC75A39_4D23_470D_9DB4_3D6BD4B78509__INCLUDED_)
#define AFX_PLAYTESTDLG_H__DAC75A39_4D23_470D_9DB4_3D6BD4B78509__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPlaytestDlg dialog

class CPlaytestDlg : public CDialog
{
// Construction
public:
	CPlaytestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPlaytestDlg)
	enum { IDD = IDD_PLAYTEST_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlaytestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPlaytestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnPlay();
	afx_msg void OnBtnStop();
	afx_msg void OnDestroy();
	afx_msg void OnBtnOpenfile();
	afx_msg void OnBtnPaus();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBtnStep();
	afx_msg void OnBtnFast();
	afx_msg void OnBtnSlow();
	afx_msg void OnNetfile();
	afx_msg void OnCheckAudio();
	afx_msg void OnButton1();
	afx_msg void OnCheckCutfile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	void OnPlayEvent(WPARAM wParam, LPARAM lParam);
public:
	LONG m_hPlay;
	UINT    m_playtimer;
	int     m_bsliderpos;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYTESTDLG_H__DAC75A39_4D23_470D_9DB4_3D6BD4B78509__INCLUDED_)
